artifacts.id.nextval=SELECT NEXTVAL('ARTIFACTS_ID_SEQ')

artifacts.insert=INSERT INTO artifacts \
    (id, gid, creation, last_access, ttl, data) \
    VALUES (?, ?, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, ?, ?)

artifacts.update=UPDATE artifacts SET last_access = CURRENT_TIMESTAMP, \
    data = ? WHERE id = ?

artifacts.touch=UPDATE last_access = CURRENT_TIMESTAMP WHERE id = ?

artifacts.outdated=SELECT id, data FROM artifacts WHERE ttl IS NOT NULL \
    AND CURRENT_TIMESTAMP - last_access > ttl LIMIT 50

artifacts.select.gid=SELECT id, last_access, ttl, data FROM artifacts WHERE gid = ?

artifacts.delete=DELETE FROM artifacts WHERE id = ?
